.black_square_border {
    display: block;
    aspect-ratio: 1 / 1;
    border: 1px solid #000;
    border-radius: 0;
    overflow: hidden;
    background: #000;
}

.delay {
    animation-delay: 0.7s;
}

/* Boton Rosado */

.click_to_action_button {
    font-family: var(--font-main);
    cursor: pointer;
    position: relative;
    overflow: hidden;
    background-color: var(--color-primary);
    color: #fff !important;
    height: 32px;
    padding: 0 18px;
    border-radius: 18px;
    font-size: var(--font-size-normal);
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    transition: 
        background-color 0.4s cubic-bezier(0.23, 1, 0.32, 1),
        color 0.4s cubic-bezier(0.23, 1, 0.32, 1),
        transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275),
        box-shadow 0.4s ease;

    animation-name: bounceIn;
    animation-duration: 0.8s;
    animation-timing-function: ease;
    animation-fill-mode: both;
    flex-shrink: 0; /* Evita que el botón se reduzca si hay muchos tags */
    font-weight: 800;
}

.click_to_action_button:active {
    transform: translateY(-1px) scale(0.5);
}

.click_to_action_button::after {
    content: "";
    position: absolute;
    top: -50%;
    left: -60%;
    width: 20%;
    height: 200%;
    background: rgba(255, 255, 255, 0.4);
    transform: rotate(30deg);
    transition: none;
    animation: shine 3s infinite;
}

.click_to_action_button:hover {
    background-color: #000;
    transform: scale(1.25) translateY(-2px);
}

@keyframes shine {
    0% { left: -60%; }
    20% { left: 120%; }
    100% { left: 120%; }
}

@keyframes bounceIn {
    0% {
        opacity: 0;
        transform: scale(0.3) translateY(20px);
    }
    50% {
        opacity: 1;
        transform: scale(1.1) translateY(-5px);
    }
    70% {
        transform: scale(0.9) translateY(2px);
    }
    100% {
        opacity: 1;
        transform: scale(1) translateY(0);
    }
}


/* Boton Blanco */

/* Estilo individual de cada etiqueta (#Tag 15) */
.button_tech-white {
    display: flex;
    align-items: center;
    background: #fff;
    border: solid 1px #dedede;
    padding: 6px 14px;
    border-radius: var(--border-radius-mobile);
    text-decoration: none;
    color: var(--font-color-normal);
    font-size: var(--font-size-normal);
    font-weight: 500;
    white-space: nowrap;
    position: relative;
    transition: all 0.25s cubic-bezier(0.4, 0, 0.2, 1);
    box-shadow: 0 0.5333333333vw 1.6vw 0 rgba(0, 0, 0, 0.08);
}

.button_tech-white .hashtag {
    color: var(--color-primary);
    margin-right: 2px;
}

.button_tech-white .count {
    margin-left: 6px;
    font-size: 10px;
    color: #999;
}

/* Efecto al pasar el mouse sobre los tags */
.button_tech-white:hover {
    border-color: var(--color-primary);
    background: #fffefb;
    color: var(--color-primary);
    transform: translateY(-5px);
    z-index: 10;
    box-shadow: 0 5px 15px rgba(255, 71, 87, 0.15);
}